com.genesyslab.wfm8.API.service.scheduleTrade852

## Interface WFMScheduleTradeService852Soap

-     public interface WFMScheduleTradeService852Soap

  It is a supervisor's responsibility to review pending trade requests and approve or decline them in a timely fashion. If a supervisor approves a pending trade, it does not necessarily mean that the trade will be approved. The auto-decline conditions are re-checked at that time, and if there were any changes made to the agent's profile, that would prevent the schedule trade. In that case, the trade would be auto-declined instead. The Auto-Approval process is run every time a trade record is submitted. That is, after a response is accepted by the proposing agent, or after a personal proposal is accepted by a responding agent (in the case of a one-way handshake). The auto-approval procedure applies the Trading Rules and decides whether the trade can be auto-approved, should be auto-declined, or if it requires manual review by a supervisor. Pending trades, proposals, and responses are automatically cancelled if the schedules related to the proposal or response are modified in the Master Schedule in any way. For instance, a manual modification by a supervisor, or another trade with overlapping schedule data having been approved and executed would cause this cancellation. Schedule Trade Service provides the API for querying trade proposals addressed to, or originating from a specified agent. It allows you to specify different filters and a sort order. Query result is a list of sorted Proposal records. Schedule Trade Service provides the API for querying trade responses addressed to, or originating from a specified agent. It allows you to specify different filters and a sort order. Query result is a list of sorted Response records. Schedule Trade Service provides the API for querying trades. It allows you to specify different filters and a sort order. Query result is a list of sorted Trade records. Returned trades are filtered according to the querying user's access rights: the user should have access to both the proposing and responding agents to see the trade.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchTradeResponseStatus` | `acceptTradeProposal(int proposalID, java.lang.String comments)`
    `SchTradeProposalStatus` | `acceptTradeResponse(int proposalID, int responseID, java.lang.String comments)`
    `void` | `acknowledgeNotification(int siteID, long timestamp)`
    `SchTradeStatus` | `approveTrade(int tradeID, java.lang.String comments)`
    `SchTradeProposalStatus` | `cancelTradeProposal(int proposalID, java.lang.String comments)`
    `SchTradeResponseStatus` | `cancelTradeResponse(int responseID, java.lang.String comments)`
    `SchTradeProposalStatus` | `declinePersonalTradeProposal(int proposalID, java.lang.String comments)`
    `SchTradeStatus` | `declineTrade(int tradeID, java.lang.String comments)`
    `SchTradeResponseStatus` | `declineTradeResponse(int responseID, java.lang.String comments)`
    `SchTradeHolder` | `fetchTradeFromSnapshot(java.lang.String snapshotID, int firstIndex, int lastIndex, SchAgentDayDetails schDetails, CfgAgentDetails cfgAgentDetails, int timezoneID)`
    `SchTradeProposalHolder` | `fetchTradeProposalFromSnapshot(java.lang.String snapshotID, int firstIndex, int lastIndex, SchAgentDayDetails schDetails, CfgAgentDetails cfgAgentDetails, int timezoneID)`
    `SchTradeSnapshot` | `openTradeProposalSnapshot(int origin, double startDate, double endDate, CfgAgentFilter agentFilter, java.util.List<java.lang.Integer> typeFilter, java.util.List<java.lang.Integer> statusFilter, int proposalSortMode, int agentSortMode, boolean sortAscending)`
    `SchTradeSnapshot` | `openTradeSnapshot(double startDate, double endDate, CfgAgentFilter agentFilter, java.util.List<java.lang.Integer> statusFilter, int tradeSortMode, int agentSortMode, boolean sortAscending)`
    `SchTradeNotification` | `pollNotification(long timestamp, int siteID, java.util.List<java.lang.Integer> teamID, java.util.List<java.lang.Integer> agentID, double startDate, double endDate, int detailsLevel, SchAgentDayDetails schDetails, CfgAgentDetails cfgAgentDetails)`
    `SchTradeProposalStatus` | `postTradeProposal(java.util.List<java.lang.Double> dates, java.lang.String comments)`
    `SchTradeProposalStatus` | `sendPersonalTradeProposal(int toAgentID, int handshake, java.util.List<java.lang.Double> dates, java.lang.String comments)`
    `void` | `sortTradeProposalSnapshot(java.lang.String snapshotID, int proposalSortMode, int agentSortMode, boolean sortAscending)`
    `void` | `sortTradeSnapshot(java.lang.String snapshotID, int tradeSortMode, int agentSortMode, boolean sortAscending)`
    `SchTradeValidation` | `validateTrade(int tradeID, SchAgentDayDetails schDetails, CfgAgentDetails cfgAgentDetails, int timezoneID)`

- - ### Method Detail

    - #### openTradeProposalSnapshot

          SchTradeSnapshot openTradeProposalSnapshot(int origin,
                                                   double startDate,
                                                   double endDate,
                                                   CfgAgentFilter agentFilter,
                                                   java.util.List<java.lang.Integer> typeFilter,
                                                   java.util.List<java.lang.Integer> statusFilter,
                                                   int proposalSortMode,
                                                   int agentSortMode,
                                                   boolean sortAscending)

      Parameters:
        `statusFilter` -
        `sortAscending` -
        `typeFilter` -
        `endDate` -
        `origin` -
        `agentFilter` -
        `agentSortMode` -
        `proposalSortMode` -
        `startDate` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeSnapshot

    - #### fetchTradeProposalFromSnapshot

          SchTradeProposalHolder fetchTradeProposalFromSnapshot(java.lang.String snapshotID,
                                                              int firstIndex,
                                                              int lastIndex,
                                                              SchAgentDayDetails schDetails,
                                                              CfgAgentDetails cfgAgentDetails,
                                                              int timezoneID)

      Parameters:
        `snapshotID` -
        `firstIndex` -
        `timezoneID` -
        `schDetails` -
        `lastIndex` -
        `cfgAgentDetails` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposalHolder

    - #### sortTradeProposalSnapshot

          void sortTradeProposalSnapshot(java.lang.String snapshotID,
                                       int proposalSortMode,
                                       int agentSortMode,
                                       boolean sortAscending)

      Parameters:
        `sortAscending` -
        `snapshotID` -
        `agentSortMode` -
        `proposalSortMode` -

    - #### openTradeSnapshot

          SchTradeSnapshot openTradeSnapshot(double startDate,
                                           double endDate,
                                           CfgAgentFilter agentFilter,
                                           java.util.List<java.lang.Integer> statusFilter,
                                           int tradeSortMode,
                                           int agentSortMode,
                                           boolean sortAscending)

      Parameters:
        `statusFilter` -
        `tradeSortMode` -
        `sortAscending` -
        `endDate` -
        `agentFilter` -
        `agentSortMode` -
        `startDate` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeSnapshot

    - #### fetchTradeFromSnapshot

          SchTradeHolder fetchTradeFromSnapshot(java.lang.String snapshotID,
                                              int firstIndex,
                                              int lastIndex,
                                              SchAgentDayDetails schDetails,
                                              CfgAgentDetails cfgAgentDetails,
                                              int timezoneID)

      Parameters:
        `snapshotID` -
        `firstIndex` -
        `timezoneID` -
        `schDetails` -
        `lastIndex` -
        `cfgAgentDetails` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeHolder

    - #### sortTradeSnapshot

          void sortTradeSnapshot(java.lang.String snapshotID,
                               int tradeSortMode,
                               int agentSortMode,
                               boolean sortAscending)

      Parameters:
        `tradeSortMode` -
        `sortAscending` -
        `snapshotID` -
        `agentSortMode` -

    - #### postTradeProposal

          SchTradeProposalStatus postTradeProposal(java.util.List<java.lang.Double> dates,
                                                 java.lang.String comments)

      Parameters:
        `comments` -
        `dates` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposalStatus

    - #### sendPersonalTradeProposal

          SchTradeProposalStatus sendPersonalTradeProposal(int toAgentID,
                                                         int handshake,
                                                         java.util.List<java.lang.Double> dates,
                                                         java.lang.String comments)

      Parameters:
        `handshake` -
        `comments` -
        `toAgentID` -
        `dates` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposalStatus

    - #### cancelTradeProposal

          SchTradeProposalStatus cancelTradeProposal(int proposalID,
                                                   java.lang.String comments)

      Parameters:
        `comments` -
        `proposalID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposalStatus

    - #### declineTradeResponse

          SchTradeResponseStatus declineTradeResponse(int responseID,
                                                    java.lang.String comments)

      Parameters:
        `comments` -
        `responseID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeResponseStatus

    - #### acceptTradeResponse

          SchTradeProposalStatus acceptTradeResponse(int proposalID,
                                                   int responseID,
                                                   java.lang.String comments)

      Parameters:
        `comments` -
        `proposalID` -
        `responseID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposalStatus

    - #### acceptTradeProposal

          SchTradeResponseStatus acceptTradeProposal(int proposalID,
                                                   java.lang.String comments)

      Parameters:
        `comments` -
        `proposalID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeResponseStatus

    - #### declinePersonalTradeProposal

          SchTradeProposalStatus declinePersonalTradeProposal(int proposalID,
                                                            java.lang.String comments)

      Parameters:
        `comments` -
        `proposalID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposalStatus

    - #### cancelTradeResponse

          SchTradeResponseStatus cancelTradeResponse(int responseID,
                                                   java.lang.String comments)

      Parameters:
        `comments` -
        `responseID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeResponseStatus

    - #### approveTrade

          SchTradeStatus approveTrade(int tradeID,
                                    java.lang.String comments)

      Parameters:
        `comments` -
        `tradeID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeStatus

    - #### declineTrade

          SchTradeStatus declineTrade(int tradeID,
                                    java.lang.String comments)

      Parameters:
        `comments` -
        `tradeID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeStatus

    - #### validateTrade

          SchTradeValidation validateTrade(int tradeID,
                                         SchAgentDayDetails schDetails,
                                         CfgAgentDetails cfgAgentDetails,
                                         int timezoneID)

      Parameters:
        `timezoneID` -
        `schDetails` -
        `cfgAgentDetails` -
        `tradeID` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeValidation

    - #### pollNotification

          SchTradeNotification pollNotification(long timestamp,
                                              int siteID,
                                              java.util.List<java.lang.Integer> teamID,
                                              java.util.List<java.lang.Integer> agentID,
                                              double startDate,
                                              double endDate,
                                              int detailsLevel,
                                              SchAgentDayDetails schDetails,
                                              CfgAgentDetails cfgAgentDetails)

      Parameters:
        `agentID` -
        `endDate` -
        `teamID` -
        `siteID` -
        `schDetails` -
        `cfgAgentDetails` -
        `startDate` -
        `detailsLevel` -
        `timestamp` -
      Returns:
        returns com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeNotification

    - #### acknowledgeNotification

          void acknowledgeNotification(int siteID,
                                     long timestamp)

      Parameters:
        `siteID` -
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.